> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Group Invite

> This endpoint allows a user to accept a group invite




## OpenAPI

````yaml POST /chats/accept-invite
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /chats/accept-invite:
    post:
      tags:
        - chats
        - group
      summary: Accept Group Invite
      description: |
        This endpoint allows a user to accept a group invite
      operationId: acceptGroupInvite
      parameters:
        - name: x-phone
          in: header
          schema:
            type: string
            example: '{{orgPhone}}'
          required: true
          description: >-
            **Required.** The phone that joins the group — this WhatsApp action
            is performed by this phone. Use country code + number format with no
            spaces or special characters (e.g. 919876543210), or the phone_id
            (phone-xxxxxxxxxxxx). This header is mandatory for this endpoint:
            the request is rejected with `Missing Header: {x-phone}` if it is
            not provided. Passing a phone that is outside your token's scope
            returns a 401.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - invite_code
              properties:
                invite_code:
                  type: string
                  description: '- Provide the invite code to accept the group invite'
                  example: EUKdz8Sdy9T2UWPnOKGkxx
            examples:
              Accept Group Invite:
                value:
                  invite_code: EUKdz8Sdy9T2UWPnOKGkx
      responses:
        '200':
          description: 200 OK
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '41'
            Date:
              schema:
                type: string
                example: Sun, 26 Jan 2025 17:16:48 GMT
            ETag:
              schema:
                type: string
                example: W/"29-nji+gqVOc8WlTHlnwKIG51sEmtk"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737911810'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-phone-id:
              schema:
                type: string
                example: phone-bqzvyibhmwkaergr
            x-periskope-trace-id:
              schema:
                type: string
                example: 533bd060-dc09-11ef-b2dd-f36c1b4f3634
          content:
            application/json:
              schema:
                type: object
                description: >-
                  The response is a chat object. Refer to [the chat object
                  here](/api-reference/objects/the-chat-object)
              examples:
                200 OK:
                  value:
                    org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                    chat_id: 120363420492168352@g.us
                    members:
                      918527184400@c.us:
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        chat_id: 120363420492168352@g.us
                        is_admin: true
                        org_phone: 918824248940@c.us
                        contact_id: 918527184400@c.us
                        is_internal: null
                        contact_name: Support
                        contact_color: '#FF2E74'
                        contact_image: >-
                          https://storage.googleapis.com/periskope-images/2997dd64-89bf-48d3-9a22-b314fca017e5%2F918527184400%40c.us.jpg?timestamp=1758592467197
                        is_super_admin: true
                      918824248940@c.us:
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        chat_id: 120363420492168352@g.us
                        is_admin: false
                        org_phone: 918824248940@c.us
                        contact_id: 918824248940@c.us
                        is_internal: true
                        contact_name: Hansal
                        contact_color: '#9333EA'
                        contact_image: >-
                          https://storage.googleapis.com/periskope-images/2997dd64-89bf-48d3-9a22-b314fca017e5%2F918824248940%40c.us.jpg?timestamp=1758592465518
                        is_super_admin: false
                    is_muted: false
                    chat_name: Test South Donald
                    chat_type: group
                    closed_at: null
                    is_exited: false
                    label_ids: {}
                    labels: []
                    org_phone: 918824248940@c.us
                    chat_image: >-
                      https://storage.googleapis.com/periskope-images/2997dd64-89bf-48d3-9a22-b314fca017e5%2F120363420492168352%40g.us.jpg?timestamp=1758693649290
                    created_at: '2025-09-23T02:31:04+00:00'
                    updated_at: '2025-09-24T06:00:49.294001+00:00'
                    assigned_to: null
                    chat_access:
                      hansal.kothari@hashlabs.dev: true
                    invite_link: null
                    is_archived: false
                    member_count: 2
                    flag_count_map: null
                    latest_message: null
                    info_admins_only: true
                    custom_properties: {}
                    group_description: my description
                    parent_community_id: null
                    message_unread_count: null
                    messages_admins_only: true
                    add_members_admins_only: true
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function acceptGroupInvite() {
              const response = await client.group.acceptGroupInvite({
                invite_code: 'EUKdz8Sdy9T2UWPnOKGkx'
              });

              console.log(response);
            }

            acceptGroupInvite();
        - lang: cURL
          label: cURL
          source: |-
            curl -X POST \
              https://api.periskope.app/v1/chats/accept-invite \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
             -d '{
                "invite_code": "EUKdz8Sdy9T2UWPnOKGkx"
               }'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````